| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
ThermostatSetpoint.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/ThermostatSetpoint.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueDecimal.h"`
`#include "tinyxml.h"`

## Enumerations
enum | ThermostatSetpointCmd { ThermostatSetpointCmd_Set = 0x01 , ThermostatSetpointCmd_Get = 0x02 , ThermostatSetpointCmd_Report = 0x03 , ThermostatSetpointCmd_SupportedGet = 0x04 , ThermostatSetpointCmd_SupportedReport = 0x05 , ThermostatSetpointCmd_CapabilitiesGet = 0x09 , ThermostatSetpointCmd_CapabilitiesReport = 0x0A }
enum | { ThermostatSetpoint_Unused0 = 0 , ThermostatSetpoint_Heating1 , ThermostatSetpoint_Cooling1 , ThermostatSetpoint_Unused3 , ThermostatSetpoint_Unused4 , ThermostatSetpoint_Unused5 , ThermostatSetpoint_Unused6 , ThermostatSetpoint_Furnace , ThermostatSetpoint_DryAir , ThermostatSetpoint_MoistAir , ThermostatSetpoint_AutoChangeover , ThermostatSetpoint_HeatingEcon , ThermostatSetpoint_CoolingEcon , ThermostatSetpoint_AwayHeating , ThermostatSetpoint_CoolingHeating , ThermostatSetpoint_Count , ThermostatSetpoint_Minimum = 100 , ThermostatSetpoint_Maximum = 200 }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
ThermostatSetpoint_Unused0 |
ThermostatSetpoint_Heating1 |
ThermostatSetpoint_Cooling1 |
ThermostatSetpoint_Unused3 |
ThermostatSetpoint_Unused4 |
ThermostatSetpoint_Unused5 |
ThermostatSetpoint_Unused6 |
ThermostatSetpoint_Furnace |
ThermostatSetpoint_DryAir |
ThermostatSetpoint_MoistAir |
ThermostatSetpoint_AutoChangeover |
ThermostatSetpoint_HeatingEcon |
ThermostatSetpoint_CoolingEcon |
ThermostatSetpoint_AwayHeating |
ThermostatSetpoint_CoolingHeating |
ThermostatSetpoint_Count |
ThermostatSetpoint_Minimum |
ThermostatSetpoint_Maximum |

## ◆ ThermostatSetpointCmd

enum ThermostatSetpointCmd

Enumerator
ThermostatSetpointCmd_Set |
ThermostatSetpointCmd_Get |
ThermostatSetpointCmd_Report |
ThermostatSetpointCmd_SupportedGet |
ThermostatSetpointCmd_SupportedReport |
ThermostatSetpointCmd_CapabilitiesGet |
ThermostatSetpointCmd_CapabilitiesReport |